import { ModuleWithProviders, ElementRef, OnDestroy } from '@angular/core';
import { Subscription } from 'rxjs/Subscription';
import { LyTheme } from './theme.service';
export declare class LyRoot implements OnDestroy {
    private elementRef;
    private theme;
    backgroundStyle: string;
    colorStyle: string;
    fontFamily: string;
    themeSubscription: Subscription;
    constructor(elementRef: ElementRef, theme: LyTheme);
    ngOnDestroy(): void;
}
export declare class LyInlineText {
}
export declare class LyCoreModule {
    static forRoot(): ModuleWithProviders;
}
