import { NgModule } from '@angular/core';
import { LyCoreModule, LyTheme, AlyleServiceConfig } from 'alyle-ui/core';
export class AlyleUIModule {
    static forRoot(config) {
        return {
            ngModule: AlyleUIModule,
            providers: [
                { provide: AlyleServiceConfig, useValue: config }
            ]
        };
    }
}
AlyleUIModule.decorators = [
    { type: NgModule, args: [{
                imports: [LyCoreModule.forRoot()],
                exports: [LyCoreModule],
                providers: [
                    LyTheme
                ]
            },] },
];
/** @nocollapse */
AlyleUIModule.ctorParameters = () => [];
//# sourceMappingURL=alyle-ui.module.js.map