import { SimpleChanges, OnChanges, AfterViewInit, AfterContentInit, ChangeDetectorRef, OnInit, OnDestroy } from '@angular/core';
import { Subscription } from 'rxjs/Subscription';
import { LyFieldDirective } from './ly-field.directive';
import { LyTheme, LyStyleTheme } from 'alyle-ui/core';
export declare class LyInputCommon {
}
export declare class LyPlaceholder {
}
export declare class LyDefault {
}
export declare class LyLabel {
}
export declare class LyInput implements OnInit, AfterContentInit, AfterViewInit, OnChanges, OnDestroy {
    private theme;
    private styleTheme;
    private _changeDetectorRef;
    _value: any;
    _elementType: 'input' | 'textarea';
    _color: string;
    _inputColor: string;
    currentValue: any;
    private paletteSubscription;
    private changed;
    private touched;
    _field: LyFieldDirective;
    lyPlaceholder: LyPlaceholder;
    lyDefault: LyDefault;
    lyLabel: LyLabel;
    type: string;
    label: string;
    placeholder: string;
    labelAbove: boolean;
    default: string;
    _errorState: boolean;
    placeholderContainer: any;
    labelContainer: any;
    focusStateSuscription: Subscription;
    readonly isFloatingLabel: boolean;
    readonly placeholderState: boolean;
    /**
     * inputColor
     */
    inputColor: string;
    focusState: boolean;
    readonly defaultOff: boolean;
    readonly disabled: boolean;
    readonly required: boolean;
    readonly currentValueState: boolean;
    _valueBoolean(val: any): boolean;
    _isErrorState(): boolean;
    private updateError();
    value(): any;
    constructor(theme: LyTheme, styleTheme: LyStyleTheme, _changeDetectorRef: ChangeDetectorRef);
    toBoolean(val: any): boolean;
    readonly isPlaceholder: boolean;
    readonly isDefault: boolean;
    readonly isLabel: boolean;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngAfterContentInit(): void;
    _shouldForward(prop: string): boolean;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
}
export declare class LyInputModule {
}
