import { ElementRef, Renderer2 } from '@angular/core';
import { SafeStyle } from '@angular/platform-browser';
import { LyShadowService } from './shadow.service';
import { LyTheme } from 'alyle-ui/core';
export declare class LyDeepComponent {
    private elementRef;
    private renderer;
    private theme;
    private shadow;
    private _size;
    private _interval;
    private _result;
    private numberState;
    private _shadowColor;
    private _lastClass;
    /** Default elevation */
    private elevation;
    styleBoxShadow: SafeStyle | string;
    lyShadow: string[];
    shadowColor: string;
    constructor(elementRef: ElementRef, renderer: Renderer2, theme: LyTheme, shadow: LyShadowService);
    styleHost(): void;
    scale: number;
}
