import { Renderer2, ElementRef } from '@angular/core';
import { LyTheme } from 'alyle-ui/core';
import { DomSanitizer, SafeStyle } from '@angular/platform-browser';
export declare class LyShadowService {
    private sanitizer;
    private platformId;
    private theme;
    /** Default elevation */
    elevation: string | number;
    constructor(sanitizer: DomSanitizer, platformId: any, theme: LyTheme);
    /** demo: setShadow([elevation, color]) */
    setShadow(elementRef: ElementRef, renderer: Renderer2, val: string[], _lastClass?: string): string;
    _css(elevation: string | number, color?: string): string;
    shadow(color: string, size: number): SafeStyle;
}
