import { Renderer2, ElementRef, OnDestroy, OnChanges, AfterViewInit, SimpleChanges, QueryList, OnInit } from '@angular/core';
import { Subscription } from 'rxjs/Subscription';
import { Subject } from 'rxjs/Subject';
import { LyRipple } from 'alyle-ui/ripple-minimal';
import { LyTheme, LyBg, LyColor } from 'alyle-ui/core';
import { LyIconButton } from 'alyle-ui/icon-button';
import { LyShadowService } from 'alyle-ui/shadow';
import { DomSanitizer } from '@angular/platform-browser';
export declare class LyButton implements OnInit, AfterViewInit, OnChanges, OnDestroy {
    private elementRef;
    private renderer;
    private sanitizer;
    private shadowService;
    theme: LyTheme;
    private lyColor;
    private lyBg;
    private _lastClass;
    _disabled: boolean;
    _prevFocused: boolean;
    private html;
    private styleRipple;
    private size;
    private distancefromV;
    private stateH;
    private timePress;
    private _color;
    private _deep;
    private _bg;
    private e;
    private colorString;
    private bgString;
    _subscription: Subscription;
    private _raised;
    nativeElement: HTMLElement;
    private _rippleSensitive;
    boxShadow: any;
    rippleSensitive: boolean;
    color: string;
    bg: string;
    raised: boolean;
    raisedColorInverted: string;
    styleBackground: string;
    styleColor: string;
    ripple: LyRipple;
    iconButton: QueryList<LyIconButton>;
    buttonPadding: Subject<string>;
    span: boolean;
    constructor(elementRef: ElementRef, renderer: Renderer2, sanitizer: DomSanitizer, shadowService: LyShadowService, theme: LyTheme, lyColor: LyColor, lyBg: LyBg);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    focused(): void;
    private readonly btnWidth;
    ngAfterViewInit(): void;
    private readonly btnHeight;
    deep: any;
    disabled: boolean;
    _hasButton(): boolean;
    private sanitizerStyle(val);
}
