import { LyTheme } from './theme.service';
export interface Scheme {
    name: 'light' | 'dark';
    colorContrast: string;
}
export declare function getContrastYIQ(hexcolor: any): "black" | "white";
export declare function getColor(colors: any, color: string, shade: string): string;
export declare class BgAndColorStyle {
    bg: string;
    color: string;
    theme: LyTheme;
    styleBackground: string;
    styleColor: string;
}
export declare class LyStyleTheme {
    theme: LyTheme;
    constructor(theme: LyTheme);
}
/**
 * -------------
 */
export declare class LyPalette {
    private _style;
    private _primary;
    private _accent;
    private _other;
    private palette;
    themeApp: any;
    text: any;
}
