import { ElementRef, OnInit, OnChanges, SimpleChanges, AfterViewInit, OnDestroy } from '@angular/core';
import { LyRipple } from 'alyle-ui/ripple-minimal';
export declare class LyIconButton implements OnInit, AfterViewInit, OnChanges, OnDestroy {
    elementRef: ElementRef;
    private _size;
    nativeElement: HTMLElement;
    private _iconStyle;
    ripple: LyRipple;
    size: string;
    iconStyle: {
        [key: string]: string | number;
    };
    constructor(elementRef: ElementRef);
    assignStyle(newStyle: any): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    private _updateSize();
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
